CMCC_CTRL_Type Union Reference

## Data Fields

struct {
uint32_t CEN:1
uint32_t __pad0__:31
} | bit
uint32_t | reg

## Detailed Description

Definition at line 155 of file cmcc.h.

## Field Documentation

## __pad0__

uint32_t CMCC_CTRL_Type::__pad0__

bit: 1..31 Reserved

Definition at line 158 of file cmcc.h.

## bit

struct { ... } CMCC_CTRL_Type::bit

Structure used for bit access

## CEN

uint32_t CMCC_CTRL_Type::CEN

bit: 0 Cache Controller Enable

Definition at line 157 of file cmcc.h.

## reg

uint32_t CMCC_CTRL_Type::reg

Type used for register access

Definition at line 160 of file cmcc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/cmcc.h